Update a Lead List

This API allows you to update a lead list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request PUT \
     --url https://api-smartflo.tatateleservices.com/v1/broadcast/list/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'
📘

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to update a lead list:

Variable NameDescriptionData Type
idUnique ID of the active broadcast.String

Request Variables (Body Params)

The following parameter is required to update a lead list:

Variable NameDescriptionData Type
name*Name of the broadcast-list.String
description*Description of the broadcast-list.String
enable_outbound_based_skillOutbound calls based on assigned skills (Yes/No).String
skill_list_idA list of skills assigned to the user for task routing.String

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string
required

The name for the List. For example, Test list.

string
required

The description for the broadcast List. For example, Test list for loans.

string
required

Enter 1 to enable and 0 to disable.

string

skill_list_id is required when enable_outbound_based_skill is 1

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json